@import "@/styles/variables";

.chip {
    @include caption-2m;

    color: $gray-800;
    background-color: $gray-300;
    font-family: var(--font-barlow);
    height: 2rem;
    border-radius: $border-radius;
    border: none;
    display: inline-flex;
    align-items: center;
    gap: 0.25rem;
    padding: 10px 12px;
    width: fit-content;

    &-button {
        cursor: pointer;
    }

    &-img-button {
        border: none;
        background-color: transparent;
        width: fit-content;
        height: 0.75rem;
        cursor: pointer;
    }

    &:disabled {
        background-color: $gray-200;
        color: $gray-500;
        pointer-events: none;
    }

    &::first-letter {
        text-transform: uppercase;
    }

    &:hover,
    &:active,
    &:focus,
    &:focus-visible {
        background-color: $gray-400;
    }
}
